dbXML API

## com.dbxml.db.common.xupdate
Class XObjectImpl

    java.lang.Object
      com.dbxml.db.common.xupdate.XObjectImpl

All Implemented Interfaces:
  java.io.Serializable, org.xmldb.common.xml.queries.XObject

public final class XObjectImpl
extends java.lang.Object
implements org.xmldb.common.xml.queries.XObject

Wrapper for Xalan XObject

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.xmldb.common.xml.queries.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN`

Constructor Summary
`XObjectImpl(org.apache.xpath.objects.XObject xobj)` Creates a new XObject to wrap a Xalan XObject

Method Summary
`boolean` `bool()`
`int` `getType()`
`org.w3c.dom.NodeList` `nodeset()`
`double` `num()`
`org.w3c.dom.DocumentFragment` `rtree()`
`java.lang.String` `str()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XObjectImpl

    public XObjectImpl(org.apache.xpath.objects.XObject xobj)
                throws java.lang.IllegalArgumentException

  Creates a new XObject to wrap a Xalan XObject

Parameters:
  `xobj` - xalan's XObject that should be wrapped.
Throws:
  `java.lang.IllegalArgumentException` - If the given XObject was null.

Method Detail

### getType

    public int getType()

  Specified by:
    `getType` in interface `org.xmldb.common.xml.queries.XObject`

### bool

    public boolean bool()
                 throws java.lang.Exception

  Specified by:
    `bool` in interface `org.xmldb.common.xml.queries.XObject`
  Throws:
    `java.lang.Exception`

### num

    public double num()
               throws java.lang.Exception

  Specified by:
    `num` in interface `org.xmldb.common.xml.queries.XObject`
  Throws:
    `java.lang.Exception`

### str

    public java.lang.String str()

  Specified by:
    `str` in interface `org.xmldb.common.xml.queries.XObject`

### nodeset

    public org.w3c.dom.NodeList nodeset()
                                 throws java.lang.Exception

  Specified by:
    `nodeset` in interface `org.xmldb.common.xml.queries.XObject`
  Throws:
    `java.lang.Exception`

### rtree

    public org.w3c.dom.DocumentFragment rtree()

  Specified by:
    `rtree` in interface `org.xmldb.common.xml.queries.XObject`

dbXML API

Copyright (c) 2004 The dbXML Group